# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.2.2] - 2022-08-05

### Added

- `CLI`: Added `structlog` as a dependency.

## Fixed

- `RatelimitDecorator`: Did not work as a decorator because it did not inherit from `AbstractRatelimitDecorator`.

- `CLI`: Include `python-dotenv` as a dependency of the package.

## [0.2.1] - 2022-07-23

## Fixed

- `CLI`: Command `limits upsert` was referencing `ratelimit_api_key` instead of `api_key` and `user.email` instead of `client_id`.

## [0.2.0] - 2022-07-23

### Added

- `CLI`: Command `configure` can now update the `client_id` in the config file.
- `RatelimitDecorator`: Import with `from ratelimitcli.client.decorator import RatelimitDecorator`.

### Changed

- `CLI`: Updated the `--help` output for each command and subcommand.
- `RatelimitClient`: Can now be instantiated without args. Values will be pulled from the environment and fall back to the config file. The environment variable names are prefixed with `RL_` as shown below.

  `RL_MAX_CONNECTIONS`, `RL_MAX_CONNECTIONS_PER_HOST`,

- `RatelimitClient`: Can no longer be used as a decorator. Instead use `RatelimitDecorator`.

- `APIRateLimitException`: Import with `from ratelimitcli.client.exceptions import APIRateLimitException`.

### Fixed

- `CLI`: Command `billing configure` now writes the returned `client_id` into the config file.

## [0.1.1] - 2022-07-14

### Changed

- Updated URL to docs website.

## [0.1.0] - 2022-07-14

### Added

- Initial version.
